%bcond_with bootstrap

%undefine _package_note_flags

Summary:       NBD server
Name:          nbdkit
Version:       1.35.5
Release:       10%{?dist}
License:       BSD
URL:           https://gitlab.com/nbdkit/nbdkit
Source0:       http://libguestfs.org/download/nbdkit/1.33-development/%{name}-%{version}.tar.gz
Source1:       nbdkit.attr
Source2:       nbdkit-find-provides

Patch0001:     0001-tests-test-tar-info-Remove-bogus-test-requires-of-gu.patch
Patch0002:     0002-tar-Document-the-optional-tar-option-in-help-output-.patch
Patch0003:     0003-tar-Implement-tar-limit.patch
Patch0004:     0004-xz-Fix-error-message-to-refer-to-xz-max-block-parame.patch
Patch0005:     0005-configure-Recommend-using-g-with-OCAMLOPTFLAGS.patch
Patch0006:     0006-tests-test_ocaml_plugin.ml-Print-a-message-when-test.patch
Patch0007:     0007-ocaml-Add-I-unix-before-using-unix.cmxa.patch
Patch0008:     0008-ocaml-Replace-caml_leave_blocking_section-with-caml_.patch
Patch0009:     0009-ocaml-Always-unregister-the-global-root-and-free-the.patch
Patch0010:     0010-ocaml-Fix-thread-registration-for-OCaml-5.patch
Patch0011:     0011-tests-test-cc-ocaml.sh-Use-nbdkit-v-option-to-help-w.patch
Patch0012:     0012-tests-Replace-SRCDIR-with-abs_top_srcdir.patch
Patch0013:     0013-tests-test-read-password-Remove-use-of-SRCDIR.patch
Patch0014:     0014-tests-Stop-setting-SRCDIR-for-tests.patch
Patch0015:     0015-tests-Explicitly-add-L.-plugins-ocaml-.libs-to-find-.patch

BuildRequires: make gcc gcc-c++ gnutls-devel libselinux-devel automake
BuildRequires: libvirt-devel xz-devel zlib-devel libzstd-devel libcurl-devel
BuildRequires: libnbd-devel e2fsprogs e2fsprogs-devel bash-completion perl-devel
BuildRequires: libssh-devel python3-devel expect jq perl(ExtUtils::Embed)
BuildRequires: %{_bindir}/pod2man %{_bindir}/bc %{_bindir}/certtool
BuildRequires: %{_bindir}/cut %{_bindir}/hexdump %{_sbindir}/ip %{_bindir}/nbdcopy
BuildRequires: %{_bindir}/nbdinfo %{_bindir}/nbdsh %{_bindir}/qemu-img %{_bindir}/qemu-io
BuildRequires: %{_bindir}/qemu-nbd %{_sbindir}/sfdisk %{_sbindir}/ss %{_bindir}/stat
%if %{without bootstrap}
# ATTENTION: We need this package for provides !
BuildRequires:  nbdkit-srpm-macros
%endif
Requires:      nbdkit-server = %{version}-%{release}
Requires:      nbdkit-basic-plugins = %{version}-%{release}
Requires:      nbdkit-basic-filters = %{version}-%{release}

%description
NBD is a protocol for accessing block devices (hard disks and disk-like things) over the network.
nbdkit is a toolkit for creating NBD servers. The key features are:

* Multithreaded NBD server written in C with good performance.
* Minimal dependencies for the basic server.
* Liberal license (BSD) allows nbdkit to be linked to proprietary libraries or included in
  proprietary code.
* Well-documented, simple plugin API with a stable ABI guarantee.  Lets you to export
  "unconventional" block devices easily.
* You can write plugins in C or many other languages.
* Filters can be stacked in front of plugins to transform the output.

'%{name}' is a meta-package which pulls in the core server and a useful subset of plugins and
filters with minimal dependencies.
If you want just the server, install '%{name}-server'.
To develop plugins, install the '%{name}-devel' package and start by reading the nbdkit(1) and
nbdkit-plugin(3) manual pages.

%package server
Summary:        The %{name} server
License:        BSD

%description server
This package contains the %{name} server with only the null plugin and no filters.  To install a
basic set of plugins and filters you need to install "nbdkit-basic-plugins", "nbdkit-basic-filters"
or the metapackage "nbdkit".

%package basic-plugins
Summary:        Basic plugins for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description basic-plugins
This package contains plugins for %{name} which only depend on simple C libraries: glibc, gnutls,
libzstd.  Other plugins for nbdkit with more complex dependencies are packaged separately.

nbdkit-data-plugin          Serve small amounts of data from the command line.
nbdkit-eval-plugin          Write a shell script plugin on the command line.
nbdkit-file-plugin          The normal file plugin for serving files.
nbdkit-floppy-plugin        Create a virtual floppy disk from a directory.
nbdkit-full-plugin          A virtual disk that returns ENOSPC errors.
nbdkit-info-plugin          Serve client and server information.
nbdkit-memory-plugin        A virtual memory plugin.
nbdkit-ondemand-plugin      Create filesystems on demand.
nbdkit-pattern-plugin       Fixed test pattern.
nbdkit-partitioning-plugin  Create virtual disks from partitions.
nbdkit-random-plugin        Random content plugin for testing.
nbdkit-sh-plugin            Write plugins as shell scripts or executables.

nbdkit-sparse-random-plugin Make sparse random disks.
nbdkit-split-plugin         Concatenate one or more files.
nbdkit-zero-plugin          Zero-length plugin for testing.


%package example-plugins
Summary:        Example plugins for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description example-plugins
This package contains example plugins for %{name}.

%package curl-plugin
Summary:        HTTP/FTP (cURL) plugin for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description curl-plugin
This package contains cURL (HTTP/FTP) support for %{name}.

%package linuxdisk-plugin
Summary:        Virtual Linux disk plugin for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}
Requires:       e2fsprogs

%description linuxdisk-plugin
This package is a virtual Linux disk plugin for %{name}.

%package nbd-plugin
Summary:        NBD proxy / forward plugin for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description nbd-plugin
This package lets you forward NBD connections from %{name} to another NBD server.

%package python-plugin
Summary:        Python 3 plugin for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description python-plugin
This package lets you write Python 3 plugins for %{name}.

%package ssh-plugin
Summary:        SSH plugin for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description ssh-plugin
This package contains SSH support for %{name}.

%package tmpdisk-plugin
Summary:        Remote temporary filesystem disk plugin for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}
Requires:       util-linux, e2fsprogs
Suggests:       xfsprogs

%description tmpdisk-plugin
This package is a remote temporary filesystem disk plugin for %{name}.

%ifarch x86_64
%package vddk-plugin
Summary:        VMware VDDK plugin for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}
Requires:       libxcrypt-compat

%description vddk-plugin
This package is a plugin for %{name} which connects to VMware VDDK for accessing VMware disks and
servers.
%endif


%package basic-filters
Summary:        Basic filters for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description basic-filters
This package contains filters for %{name} which only depend on simple C libraries: glibc, gnutls.
Other filters for nbdkit with more complex dependencies are packaged separately.

nbdkit-blocksize-filter    Adjust block size of requests sent to plugins.
nbdkit-blocksize-policy-filter  Set block size constraints and policy.
nbdkit-cache-filter        Server-side cache.
nbdkit-cacheextents-filter Cache extents.
nbdkit-checkwrite-filter   Check writes match contents of plugin.
nbdkit-cow-filter          Copy-on-write overlay for read-only plugins.
nbdkit-ddrescue-filter     Filter for serving from ddrescue dump.
nbdkit-delay-filter        Inject read and write delays.
nbdkit-error-filter        Inject errors.
nbdkit-exitlast-filter     Exit on last client connection.
nbdkit-exitwhen-filter     Exit gracefully when an event occurs.
nbdkit-exportname-filter   Adjust export names between client and plugin.
nbdkit-extentlist-filter   Place extent list over a plugin.
nbdkit-fua-filter          Modify flush behaviour in plugins.
nbdkit-ip-filter           Filter clients by IP address.
nbdkit-limit-filter        Limit nr clients that can connect concurrently.
nbdkit-log-filter          Log all transactions to a file.
nbdkit-luks-filter         Read and write LUKS-encrypted disks.
nbdkit-multi-conn-filter   Enable, emulate or disable multi-conn.
nbdkit-nocache-filter      Disable cache requests in the underlying plugin.
nbdkit-noextents-filter    Disable extents in the underlying plugin.
nbdkit-nofilter-filter     Passthrough filter.
nbdkit-noparallel-filter   Serialize requests to the underlying plugin.
nbdkit-nozero-filter       Adjust handling of zero requests by plugins.
nbdkit-offset-filter       Serve an offset and range.
nbdkit-partition-filter    Serve a single partition.
nbdkit-pause-filter        Pause NBD requests.
nbdkit-protect-filter      Write-protect parts of a plugin.
nbdkit-rate-filter         Limit bandwidth by connection or server.
nbdkit-readahead-filter    Prefetch data when reading sequentially.
nbdkit-retry-filter        Reopen connection on error.
nbdkit-retry-request-filter Retry single requests on error.
nbdkit-scan-filter         Prefetch data ahead of sequential reads.
nbdkit-swab-filter         Filter for swapping byte order.
nbdkit-tls-fallback-filter TLS protection filter.
nbdkit-truncate-filter     Truncate, expand, round up or round down size.

%package gzip-filter
Summary:        GZip filter for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description gzip-filter
This package is a gzip filter for %{name}.


%package stats-filter
Summary:        Statistics filter for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description stats-filter
Display statistics about operations.


%package tar-filter
Summary:        Tar archive filter for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}
Requires:       tar
Obsoletes:      %{name}-tar-plugin < 1.23.9-3

%description tar-filter
This package is a tar archive filter for %{name}.


%package xz-filter
Summary:        XZ filter for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}

%description xz-filter
This package is the xz filter for %{name}.


%package devel
Summary:        Development files and documentation for %{name}
License:        BSD
Requires:       %{name}-server = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains development files and documentation for %{name}.  Install this package if you
want to develop plugins for %{name}.


%package srpm-macros
Summary:       RPM Provides rules for %{name} plugins and filters
License:       BSD
BuildArch:     noarch

%description srpm-macros
This package contains RPM rules that create the automatic Provides: for %{name} plugins and filters
found in the plugins directory.


%package bash-completion
Summary:       Bash tab-completion for %{name}
License:       BSD
BuildArch:     noarch
Requires:      bash-completion
Requires:      %{name}-server = %{version}-%{release}

%description bash-completion
Install this package if you want intelligent bash tab-completion for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export PYTHON=%{__python3}
%configure \
    --with-extra='%{name}-%{version}-%{release}' \
    --disable-static \
    --disable-golang \
    --disable-rust \
    --disable-ocaml \
    --disable-lua \
    --disable-perl \
    --disable-ruby \
    --disable-tcl \
    --without-ext2 \
    --without-iso \
    --without-libvirt \
    --without-libguestfs \
%ifarch x86_64
    --enable-libguestfs-tests \
%else
    --disable-libguestfs-tests \
%endif
    --with-tls-priority=@NBDKIT,SYSTEM

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_mandir}/man3/nbdkit-rust-plugin.3*
for f in cc cdi torrent; do
    rm -f %{buildroot}%{_libdir}/%{name}/plugins/nbdkit-$f-plugin.so
    rm -f %{buildroot}%{_mandir}/man?/nbdkit-$f-plugin.*
done
rm -f %{buildroot}%{_libdir}/%{name}/plugins/nbdkit-S3-plugin
rm -f %{buildroot}%{_mandir}/man1/nbdkit-S3-plugin.1*

install -Dm 0644 %{SOURCE1} %{buildroot}%{_rpmconfigdir}/fileattrs/nbdkit.attr
install -m 0755 %{SOURCE2} %{buildroot}%{_rpmconfigdir}/

%check
mkdir -p $HOME/.cache/libvirt
echo 'exit 77' > skip_test
chmod +x skip_test

cp skip_test tests/test-captive.sh
cp skip_test tests/test-nbd-tls.sh
cp skip_test tests/test-nbd-tls-psk.sh

%ifarch aarch64 %{power64}
cp skip_test tests/test-memory-allocator-malloc-mlock.sh
%endif

%ifarch loongarch64
cp skip_test tests/test-long-name.sh
cp skip_test tests/pycodestyle.sh
%endif

export LIBGUESTFS_DEBUG=1
export LIBGUESTFS_TRACE=1

%make_build check || {
    cat tests/test-suite.log
    exit 1
}

%files
# blank package

%files server
%license LICENSE
%doc README.md
%{_sbindir}/nbdkit
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/nbdkit-null-plugin.so
%dir %{_libdir}/%{name}/filters
%{_mandir}/man1/nbdkit.1*
%{_mandir}/man1/nbdkit-captive.1*
%{_mandir}/man1/nbdkit-client.1*
%{_mandir}/man1/nbdkit-loop.1*
%{_mandir}/man1/nbdkit-null-plugin.1*
%{_mandir}/man1/nbdkit-probing.1*
%{_mandir}/man1/nbdkit-protocol.1*
%{_mandir}/man1/nbdkit-service.1*
%{_mandir}/man1/nbdkit-security.1*
%{_mandir}/man1/nbdkit-tls.1*

%files basic-plugins
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-data-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-eval-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-file-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-floppy-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-full-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-info-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-memory-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-ondemand-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-ones-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-partitioning-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-pattern-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-random-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-sh-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-sparse-random-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-split-plugin.so
%{_libdir}/%{name}/plugins/nbdkit-zero-plugin.so
%{_mandir}/man1/nbdkit-data-plugin.1*
%{_mandir}/man1/nbdkit-eval-plugin.1*
%{_mandir}/man1/nbdkit-file-plugin.1*
%{_mandir}/man1/nbdkit-floppy-plugin.1*
%{_mandir}/man1/nbdkit-full-plugin.1*
%{_mandir}/man1/nbdkit-info-plugin.1*
%{_mandir}/man1/nbdkit-memory-plugin.1*
%{_mandir}/man1/nbdkit-ondemand-plugin.1*
%{_mandir}/man1/nbdkit-ones-plugin.1*
%{_mandir}/man1/nbdkit-partitioning-plugin.1*
%{_mandir}/man1/nbdkit-pattern-plugin.1*
%{_mandir}/man1/nbdkit-random-plugin.1*
%{_mandir}/man3/nbdkit-sh-plugin.3*
%{_mandir}/man1/nbdkit-sparse-random-plugin.1*
%{_mandir}/man1/nbdkit-split-plugin.1*
%{_mandir}/man1/nbdkit-zero-plugin.1*

%files example-plugins
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-example*-plugin.so
%{_mandir}/man1/nbdkit-example*-plugin.1*

%files curl-plugin
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-curl-plugin.so
%{_mandir}/man1/nbdkit-curl-plugin.1*

%files linuxdisk-plugin
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-linuxdisk-plugin.so
%{_mandir}/man1/nbdkit-linuxdisk-plugin.1*

%files nbd-plugin
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-nbd-plugin.so
%{_mandir}/man1/nbdkit-nbd-plugin.1*

%files python-plugin
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-python-plugin.so
%{_mandir}/man3/nbdkit-python-plugin.3*

%files ssh-plugin
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-ssh-plugin.so
%{_mandir}/man1/nbdkit-ssh-plugin.1*

%files tmpdisk-plugin
%license LICENSE
%doc README.md
%{_libdir}/%{name}/plugins/nbdkit-tmpdisk-plugin.so
%{_mandir}/man1/nbdkit-tmpdisk-plugin.1*

%ifarch x86_64
%files vddk-plugin
%license LICENSE
%doc README.md plugins/vddk/README.VDDK
%{_libdir}/%{name}/plugins/nbdkit-vddk-plugin.so
%{_mandir}/man1/nbdkit-vddk-plugin.1*
%endif

%files basic-filters
%license LICENSE
%doc README.md
%{_libdir}/%{name}/filters/nbdkit-blocksize-filter.so
%{_libdir}/%{name}/filters/nbdkit-blocksize-policy-filter.so
%{_libdir}/%{name}/filters/nbdkit-cache-filter.so
%{_libdir}/%{name}/filters/nbdkit-cacheextents-filter.so
%{_libdir}/%{name}/filters/nbdkit-checkwrite-filter.so
%{_libdir}/%{name}/filters/nbdkit-cow-filter.so
%{_libdir}/%{name}/filters/nbdkit-ddrescue-filter.so
%{_libdir}/%{name}/filters/nbdkit-delay-filter.so
%{_libdir}/%{name}/filters/nbdkit-error-filter.so
%{_libdir}/%{name}/filters/nbdkit-evil-filter.so
%{_libdir}/%{name}/filters/nbdkit-exitlast-filter.so
%{_libdir}/%{name}/filters/nbdkit-exitwhen-filter.so
%{_libdir}/%{name}/filters/nbdkit-exportname-filter.so
%{_libdir}/%{name}/filters/nbdkit-extentlist-filter.so
%{_libdir}/%{name}/filters/nbdkit-fua-filter.so
%{_libdir}/%{name}/filters/nbdkit-ip-filter.so
%{_libdir}/%{name}/filters/nbdkit-limit-filter.so
%{_libdir}/%{name}/filters/nbdkit-log-filter.so
%{_libdir}/%{name}/filters/nbdkit-luks-filter.so
%{_libdir}/%{name}/filters/nbdkit-multi-conn-filter.so
%{_libdir}/%{name}/filters/nbdkit-nocache-filter.so
%{_libdir}/%{name}/filters/nbdkit-noextents-filter.so
%{_libdir}/%{name}/filters/nbdkit-nofilter-filter.so
%{_libdir}/%{name}/filters/nbdkit-noparallel-filter.so
%{_libdir}/%{name}/filters/nbdkit-nozero-filter.so
%{_libdir}/%{name}/filters/nbdkit-offset-filter.so
%{_libdir}/%{name}/filters/nbdkit-partition-filter.so
%{_libdir}/%{name}/filters/nbdkit-pause-filter.so
%{_libdir}/%{name}/filters/nbdkit-protect-filter.so
%{_libdir}/%{name}/filters/nbdkit-rate-filter.so
%{_libdir}/%{name}/filters/nbdkit-readahead-filter.so
%{_libdir}/%{name}/filters/nbdkit-retry-filter.so
%{_libdir}/%{name}/filters/nbdkit-retry-request-filter.so
%{_libdir}/%{name}/filters/nbdkit-scan-filter.so
%{_libdir}/%{name}/filters/nbdkit-swab-filter.so
%{_libdir}/%{name}/filters/nbdkit-tls-fallback-filter.so
%{_libdir}/%{name}/filters/nbdkit-truncate-filter.so
%{_mandir}/man1/nbdkit-blocksize-filter.1*
%{_mandir}/man1/nbdkit-blocksize-policy-filter.1*
%{_mandir}/man1/nbdkit-cache-filter.1*
%{_mandir}/man1/nbdkit-cacheextents-filter.1*
%{_mandir}/man1/nbdkit-checkwrite-filter.1*
%{_mandir}/man1/nbdkit-cow-filter.1*
%{_mandir}/man1/nbdkit-ddrescue-filter.1*
%{_mandir}/man1/nbdkit-delay-filter.1*
%{_mandir}/man1/nbdkit-error-filter.1*
%{_mandir}/man1/nbdkit-evil-filter.1*
%{_mandir}/man1/nbdkit-exitlast-filter.1*
%{_mandir}/man1/nbdkit-exitwhen-filter.1*
%{_mandir}/man1/nbdkit-exportname-filter.1*
%{_mandir}/man1/nbdkit-extentlist-filter.1*
%{_mandir}/man1/nbdkit-fua-filter.1*
%{_mandir}/man1/nbdkit-ip-filter.1*
%{_mandir}/man1/nbdkit-limit-filter.1*
%{_mandir}/man1/nbdkit-log-filter.1*
%{_mandir}/man1/nbdkit-luks-filter.1*
%{_mandir}/man1/nbdkit-multi-conn-filter.1*
%{_mandir}/man1/nbdkit-nocache-filter.1*
%{_mandir}/man1/nbdkit-noextents-filter.1*
%{_mandir}/man1/nbdkit-nofilter-filter.1*
%{_mandir}/man1/nbdkit-noparallel-filter.1*
%{_mandir}/man1/nbdkit-nozero-filter.1*
%{_mandir}/man1/nbdkit-offset-filter.1*
%{_mandir}/man1/nbdkit-partition-filter.1*
%{_mandir}/man1/nbdkit-pause-filter.1*
%{_mandir}/man1/nbdkit-protect-filter.1*
%{_mandir}/man1/nbdkit-rate-filter.1*
%{_mandir}/man1/nbdkit-readahead-filter.1*
%{_mandir}/man1/nbdkit-retry-filter.1*
%{_mandir}/man1/nbdkit-retry-request-filter.1*
%{_mandir}/man1/nbdkit-scan-filter.1*
%{_mandir}/man1/nbdkit-swab-filter.1*
%{_mandir}/man1/nbdkit-tls-fallback-filter.1*
%{_mandir}/man1/nbdkit-truncate-filter.1*

%files gzip-filter
%license LICENSE
%doc README.md
%{_libdir}/%{name}/filters/nbdkit-gzip-filter.so
%{_mandir}/man1/nbdkit-gzip-filter.1*

%files stats-filter
%license LICENSE
%doc README.md
%{_libdir}/%{name}/filters/nbdkit-stats-filter.so
%{_mandir}/man1/nbdkit-stats-filter.1*

%files tar-filter
%license LICENSE
%doc README.md
%{_libdir}/%{name}/filters/nbdkit-tar-filter.so
%{_mandir}/man1/nbdkit-tar-filter.1*

%files xz-filter
%license LICENSE
%doc README.md
%{_libdir}/%{name}/filters/nbdkit-xz-filter.so
%{_mandir}/man1/nbdkit-xz-filter.1*

%files devel
%license LICENSE
%doc BENCHMARKING OTHER_PLUGINS README.md SECURITY TODO
%doc plugins/example*/*.c
%doc plugins/python/examples/*.py
%doc plugins/sh/example.sh
%{_includedir}/nbdkit-common.h
%{_includedir}/nbdkit-filter.h
%{_includedir}/nbdkit-plugin.h
%{_includedir}/nbdkit-version.h
%{_includedir}/nbd-protocol.h
%{_libdir}/pkgconfig/nbdkit.pc
%{_mandir}/man3/nbdkit-filter.3*
%{_mandir}/man3/nbdkit-plugin.3*
%{_mandir}/man1/nbdkit-release-notes-1.*.1*

%files srpm-macros
%license LICENSE
%{_rpmconfigdir}/fileattrs/nbdkit.attr
%{_rpmconfigdir}/nbdkit-find-provides

%files bash-completion
%license LICENSE
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/nbdkit

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35.5-10
- Rebuilt for loongarch release

* Tue Aug 13 2024 Pengda Dou <doupengda@loongson.cn> - 1.35.5-9
- [Type] other
- [DESC] enable bootstrap will result in missing functionality provided by the packages

* Tue Jul 9 2024 Pengda Dou <doupengda@loongson.cn> - 1.35.5-8
- [Type] other
- [DESC] fix loongarch64 build error

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 1.35.5-7
- Rebuild for curl-8.4.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35.5-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35.5-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Wang Guodong <gordonwwang@tencent.com> - 1.35.5-4
- Rebuilt for libnbd 1.17.3

* Tue Aug 22 2023 cunshunxia <cunshunxia@tencent.com> - 1.35.5-3
- Rebuilt for libssh 0.10.5

* Wed Jul 19 2023 Miaojun Dong <zoedong@tencent.com> - 1.35.5-2
- Rebuild for libvirt-9.4.0

* Thu Jul 13 2023 Shuo Wang <abushwang@tencent.com> - 1.35.5-1
- update to 1.35.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33.3-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33.3-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 1.33.3-2
- add buildrequires for nbdkit-srpm-macros

* Mon Mar 13 2023 Shuo Wang <abushwang@tencent.com> - 1.33.3-1
- initial build
